quantile                package:stats                R Documentation

Sample Quantiles

Description:

     The generic function 'quantile' produces sample quantiles
     corresponding to the given probabilities. The smallest observation
     corresponds to a probability of 0 and the largest to a probability
     of 1.

Usage:

     quantile(x, ...)

     ## Default S3 method:
     quantile(x, probs = seq(0, 1, 0.25), na.rm = FALSE,
              names = TRUE, ...)

Arguments:

       x: numeric vectors whose sample quantiles are wanted.

   probs: numeric vector with values in [0,1].

   na.rm: logical; if true, any 'NA' and 'NaN''s are removed from 'x'
          before the quantiles are computed.

   names: logical; if true, the result has a 'names' attribute.  Set to
          'FALSE' for speedup with many 'probs'.

     ...: further arguments passed to or from other methods.

Details:

     A vector of length 'length(probs)' is returned; if 'names = TRUE',
     it has a 'names' attribute.

     'quantile(x,p)' as a function of 'p' linearly interpolates the
     points ( (i-1)/(n-1), ox[i] ), where 'ox <- sort(x)' and 'n <-
     length(x)'.

     This gives 'quantile(x, p) == (1-f)*ox[i] + f*ox[i+1]', where 'r
     <- 1 + (n-1)*p', 'i <- floor(r)', 'f <- r - i' _and_ 'ox[n+1] := 
     ox[n]'.

     'NA' and 'NaN' values in 'probs' are propagated to the result.

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

See Also:

     'ecdf' (in the 'stats' package) for empirical distributions of
     which 'quantile' is the "inverse"; 'boxplot.stats' and 'fivenum'
     for computing "versions" of quartiles, etc.

Examples:

     quantile(x <- rnorm(1001))# Extremes & Quartiles by default
     quantile(x,  probs=c(.1,.5,1,2,5,10,50, NA)/100)

